name:                 ghc-boot
version:              9.10.1
visibility:           public
id:                   ghc-boot-9.10.1-inplace
key:                  ghc-boot-9.10.1-inplace
license:              BSD-3-Clause
maintainer:           ghc-devs@haskell.org
synopsis:             Shared functionality between GHC and its boot libraries
description:
    This library is shared between GHC, ghc-pkg, and other boot
    libraries.
    .
    A note about "GHC.Unit.Database": it only deals with the subset of
    the package database that the compiler cares about: modules
    paths etc and not package metadata like description, authors
    etc. It is thus not a library interface to ghc-pkg and is *not*
    suitable for modifying GHC package databases.
    .
    The package database format and this library are constructed in
    such a way that while ghc-pkg depends on Cabal, the GHC library
    and program do not have to depend on Cabal.

category:             GHC
abi:                  9bb8cc050cccaf0f297a569ef7c2ba29
exposed:              True
exposed-modules:
    GHC.BaseDir, GHC.Data.ShortText, GHC.Data.SizedSeq,
    GHC.ForeignSrcLang,
    GHC.ForeignSrcLang.Type from ghc-boot-th-9.10.1-inplace:GHC.ForeignSrcLang.Type,
    GHC.HandleEncoding, GHC.LanguageExtensions,
    GHC.LanguageExtensions.Type from ghc-boot-th-9.10.1-inplace:GHC.LanguageExtensions.Type,
    GHC.Lexeme from ghc-boot-th-9.10.1-inplace:GHC.Lexeme,
    GHC.Platform.ArchOS from ghc-platform-0.1.0.0-inplace:GHC.Platform.ArchOS,
    GHC.Platform.Host, GHC.Serialized, GHC.Settings.Utils,
    GHC.UniqueSubdir, GHC.Unit.Database, GHC.Utils.Encoding,
    GHC.Utils.Encoding.UTF8, GHC.Version

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-boot-9.10.1-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-boot-9.10.1-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-boot-9.10.1-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:
    ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/ghc-boot-9.10.1

hs-libraries:         HSghc-boot-9.10.1-inplace
depends:
    base-4.20.0.0-inplace binary-0.8.9.2-inplace
    bytestring-0.12.1.0-inplace containers-0.7-inplace
    deepseq-1.5.0.0-inplace directory-1.3.8.3-inplace
    filepath-1.5.2.0-inplace ghc-boot-th-9.10.1-inplace
    ghc-platform-0.1.0.0-inplace unix-2.8.5.1-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/ghc-boot-9.10.1-inplace/ghc-boot.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/ghc-boot-9.10.1-inplace"
